Bug Hunting Session
Bug 58134 - Reset Button in Options Dialogues does not Work with all Options
Summary: Reset Button in Options Dialogues does not Work with all Options
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.4.0 target:5.4.0.1 targe...
Keywords:
Depends on:
Blocks: Options-Dialog Button-Controls
  Show dependency treegraph
 
Reported: 2012-12-11 11:39 UTC by Harald Koester
Modified: 2019-11-02 03:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-12-11 11:39:49 UTC
To my opinion not all aspects mentioned in bug 39452 are resolved. The comment list of that bug is quite long. So I tried to disentangle this a bit with new bug reports. This is the third of them.

The Revert Button in the Options dialogs does not work with some options. Do this:

(1) Start LO and open a new text document.
(2) Open option dialog: Tools > Options... > LibreOffice > Print
(3) Choose “Print to file” at option “Reduce print date, Settings for“.
(4) Click Revert button. “Print to file” is still chosen. Expected: “Printer” is chosen.

Other examples for the same behaviour are the options “Language Settings – User interface” or “LibreOffice Writer – Basic Fonts (Western) – Current document only”. I did not check all options. According to bug report 39452 there are some more options which behave equal. 
Operating System: Windows 7
Comment 1 Harald Koester 2012-12-11 14:08:30 UTC
See also bug 58132, bug 58133, bug 58135, bug 58136.
Comment 2 bfoman (inactive) 2012-12-11 15:58:04 UTC
Changed summary to be more descriptive.
Comment 3 Jorendc 2013-01-27 19:56:13 UTC
Thanks (third time I need to thank you ;-) ).

I can reproduce this behavior using Linux Mint 14 x64 using LibreOffice 4.0.0.2 rc2.

Mark this bug following [1] as 'trivial low'

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 4 QA Administrators 2015-02-19 15:41:00 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2015-03-03 10:53:14 UTC
Bug still exists in version 4.4.0.3 with some options. But meanwhile I think that the example of the initial report (Option “LibreOffice > Print > Settings for:”) has been OK all the time. 

Meanwhile the name of the button has changed. It is now “Reset” and not “Revert”, hence bug summary changed.

I checked nearly all options again. The following options couldn't be reset by clicking “Reset”:
(1) Load/Save > General > Default File Format and ODF Settings > Always save as:
(2) Load/Save > HTML Compatibility > Export > Character set:
(3) Language Settings > Languages > Language Of > User interface
(4) LibreOffice Writer > Basic Fonts (Western) > Current document only
(5) LibreOffice Writer > Basic Fonts (Asian) > Current document only
(6) LibreOffice Writer > Basic Fonts (CTL) > Current document only
(7) LibreOffice Writer > Print > Other > Fax (only if the initial state is “None”)
(8) LibreOffice Writer/Web > Print > Other > Fax (only if the initial state is “None”)
(9) Charts > Default Colors > change colors
(10) Charts > Default Colors > Add > new chart color
(11) LibreOffice Draw > General > Settings > Do not distort objects in curve

In cases (9) and (10) even if you close the dialogue with “Cancel” changes aren't be reset.
Comment 6 tommy27 2016-04-16 07:26:43 UTC Comment hidden (obsolete, spam)
Comment 7 Harald Koester 2017-04-06 10:48:30 UTC
Bug checked again with version 5.3.1 with the cases listed in comment 5. Bugs still exist. 

But some of the listed options are not available in version 5.3.1. This effects with the cases 4, 5 and 6. Hence these cases are not valid anymore. 

Also checked with version 3.3.0. Bug already exists in this version. Hence inherited from OOo.
Comment 8 Commit Notification 2017-05-14 13:43:41 UTC
melikeyurtoglu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45949bf73790b8214a1fcc8492f4ee6faad20780

tdf#58134 Reset Button in Options Dialogues does not Work with all Options.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-05-14 19:26:49 UTC
melikeyurtoglu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74d8afec9dbd5f13b30327cd95744a87c3492176

tdf#58134 Reset Button in Options Dialogues does not Work with all Options

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-05-20 10:32:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6c245bd4d759bb0a220e2d057ba1e0a556f9aab

tdf#107900: Revert "tdf#58134 Reset Button in Options Dialogues does not Work with all Options."

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-05-20 10:54:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36f1f96f4ae4fa95b2298c9edd9a9041e7c8cec1&h=libreoffice-5-4

tdf#107900: Revert "tdf#58134 Reset Button in Options Dialogues does not Work with all Options."

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Harald Koester 2017-12-01 21:47:52 UTC
I tested all options intensively again with version 5.4.3.

The following options couldn't be reset by clicking “Reset”:
(1) LibreOffice > Fonts > Replacement Table > Apply replacement table
(2) LibreOffice > Security > Subdialogue: Options... In this dialogue there is no Reset button and the Reset button of the main dialogue (Security) does not reset the options in subdialogue. Hence there is no reset possibility for that options.
(3) LibreOffice > Security > Passwords for Web Connections > all options of this paragraph
(4) LibreOffice > Security > Macro Security > Subdialogue: Macro Security... > Security level. In this dialogue a Reset button exist, but it does not work.
(5) LibreOffice > Security > Macro Security > Subdialogue: Macro Security... > Trusted Sources. Inserting of a trusted file location can't be reset with Reset button.
(6) LibreOffice > Security > Macro Security > Submenu: TSAs... In this subdialogue there is no Reset button and the Reset button of the main dialogue (Security) does not reset an inserted TSA URL.
(7) LibreOffice > Application Colors > Change a custom color > then Reset: The color name is reset, but not the Preview. (The Reset button also sets the color list to the beginning. I would expect that the current display remains.)
(8) LibreOffice > Advanced > Java Options > Parameters... and Class Path... In both dialogues there is no reset button and the Reset button of the main dialogue (Advanced) does not reset the options in the subdialogue.
(9) Load/Save > General > Default File Format and ODF Settinges > Document type:
(10) Load/Save > General > Default File Format and ODF Settinges > Always save as:
(11) Load/Save > HTML Compatibility > Export > Character set:
(12) Language Settings > Languages > Language Of > User interface
(13) Language Settings > Languages > Default Languages for Documents > Asian:
(14) Language Settings > Languages > Default Languages for Documents > Complex text layout:
(15) Language Settings > Writing Aids > Check/Uncheck Available language modules
(16) Language Settings > Writing Aids > Available language modules > Edit... > all options of Edit dialogue
(17) Language Settings > Writing Aids > Check/Uncheck User-defined dictionaries
(18) Language Settings > Asian Layout > First and Last Characters > Language > Default
(19) Language Settings > Grammar Checking (Portuguese) > Verif.. > Coloc..
(20) Language Settings > Grammar Checking (Portuguese) > Verif.. > Uso de...
(21) Language Settings > Grammar Checking (Portuguese) > Verif.. > Concor...
(22) Language Settings > Grammar Checking (Portuguese) > Outros > Há ou a
(23) Language Settings > Grammar Checking (Portuguese) > Outros > Meia ou ...
(24) Language Settings > Grammar Checking (Portuguese) > Outros > Mal ou Mau
(25) Language Settings > Grammar Checking (Portuguese) > Outros > Emprego ...
(26) LibreOffice Writer > Print > Other > Fax
(27) LibreOffice Writer > Mail Merge E-mail > Subdialog Server Authentication...> In this dialogue there is no Reset button and the Reset button of the main dialogue (Mail Merge E-mail) does not reset the options in subdialogue.
(28) LibreOffice Writer/Web > Print > Other > Fax
(29) Charts > Default Colors > All changes (change color, add color, delete color)
(30) Internet > Proxy > 3 times 'Port:'
(31) LibreOffice Calc > Calculate > General Calculations > Decimal places
(32) LibreOffice Draw > General > Settings > Do not distort objects in curve
Comment 13 Olivier Hallot 2018-05-30 14:59:49 UTC
Given the large number of exceptions in the behavior of the RESET button, I think it worth to inform in the binded help page that 

1) the reset button is not effective in some elements of the option page and
2) hit Cancel to undo the last changes in block, and warn that all changes in the Options are lost.

At least make the documentation consistent with the behavior of the button.
Comment 14 Commit Notification 2018-05-30 22:44:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a0b4db5f17e58f656d527b807e09ed02b04c2827

tdf#58134 Some Options settings cannot be reset
Comment 15 Commit Notification 2018-06-01 18:30:05 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ac2e145b210aa8ab70ef3e2ea1c7a45bd964a43e&h=libreoffice-6-1

tdf#58134 Some Options settings cannot be reset
Comment 16 Xisco Faulí 2018-08-31 19:38:34 UTC
Dear Olivier Hallot,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 17 QA Administrators 2019-11-02 03:46:06 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug